clang-tools 8.0.0

Public Member Functions | List of all members
clang::tidy::fuchsia::RestrictSystemIncludesCheck Class Reference

Checks for allowed includes and suggests removal of any others. More...

`#include <RestrictSystemIncludesCheck.h>`

Inheritance diagram for clang::tidy::fuchsia::RestrictSystemIncludesCheck:
[legend]
Collaboration diagram for clang::tidy::fuchsia::RestrictSystemIncludesCheck:
[legend]

## Public Member Functions
| RestrictSystemIncludesCheck (StringRef Name, ClangTidyContext *Context)
void | registerPPCallbacks (CompilerInstance &Compiler) override
| Override this to register `PPCallbacks` with `Compiler`. More...
void | storeOptions (ClangTidyOptions::OptionMap &Opts) override
| Should store all options supported by this check with their current values or default values for options that haven't been overridden. More...
bool | contains (StringRef FileName)
Public Member Functions inherited from clang::tidy::ClangTidyCheck
| ClangTidyCheck (StringRef CheckName, ClangTidyContext *Context)
| Initializes the check with `CheckName` and `Context`. More...
virtual void | registerMatchers (ast_matchers::MatchFinder *Finder)
| Override this to register AST matchers with `Finder`. More...
virtual void | check (const ast_matchers::MatchFinder::MatchResult &Result)
| `ClangTidyChecks` that register ASTMatchers should do the actual work in here. More...
DiagnosticBuilder | diag (SourceLocation Loc, StringRef Description, DiagnosticIDs::Level Level=DiagnosticIDs::Warning)
| Add a diagnostic with the check's name. More...

## Additional Inherited Members
Protected Member Functions inherited from clang::tidy::ClangTidyCheck
StringRef | getCurrentMainFile () const
| Returns the main file name of the current translation unit. More...
LangOptions | getLangOpts () const
| Returns the language options from the context. More...
Protected Attributes inherited from clang::tidy::ClangTidyCheck
OptionsView | Options

## Detailed Description

Checks for allowed includes and suggests removal of any others.

If no includes are specified, the check will exit without issuing any warnings.

For the user-facing documentation see: http://clang.llvm.org/extra/clang-tidy/checks/fuchsia-restrict-system-includes.html

Definition at line 26 of file RestrictSystemIncludesCheck.h.

## Constructor & Destructor Documentation

## ◆ RestrictSystemIncludesCheck()

clang::tidy::fuchsia::RestrictSystemIncludesCheck::RestrictSystemIncludesCheck | ( | StringRef | Name,
|  | ClangTidyContext * | Context
| ) |  |
| inline

Definition at line 28 of file RestrictSystemIncludesCheck.h.

References registerPPCallbacks(), and storeOptions().

## Member Function Documentation

## ◆ contains()

bool clang::tidy::fuchsia::RestrictSystemIncludesCheck::contains | ( | StringRef | FileName | ) |
| inline

Definition at line 35 of file RestrictSystemIncludesCheck.h.

References clang::tidy::GlobList::contains().

## ◆ registerPPCallbacks()

void clang::tidy::fuchsia::RestrictSystemIncludesCheck::registerPPCallbacks | ( | CompilerInstance & | Compiler | ) |
| override virtual

Override this to register `PPCallbacks` with `Compiler`.

This should be used for clang-tidy checks that analyze preprocessor- dependent properties, e.g. the order of include directives.

Reimplemented from clang::tidy::ClangTidyCheck.

Definition at line 104 of file RestrictSystemIncludesCheck.cpp.

Referenced by RestrictSystemIncludesCheck().

## ◆ storeOptions()

void clang::tidy::fuchsia::RestrictSystemIncludesCheck::storeOptions | ( | ClangTidyOptions::OptionMap & | Options | ) |
| override virtual

Should store all options supported by this check with their current values or default values for options that haven't been overridden.

The check should use `Options.store()` to store each option it supports whether it has the default value or it has been overridden.

Reimplemented from clang::tidy::ClangTidyCheck.

Definition at line 111 of file RestrictSystemIncludesCheck.cpp.

Referenced by RestrictSystemIncludesCheck().

The documentation for this class was generated from the following files:

- RestrictSystemIncludesCheck.h
- RestrictSystemIncludesCheck.cpp